GLM_GTX_vector_query: Vector query

- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_vector_query: Vector query

GTX Extensions (Experimental)

Query informations of vector types. More...

## Functions

template<typename genType >
bool | areCollinear (genType const &v0, genType const &v1, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | areOpposite (genType const &v0, genType const &v1, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | areOrthogonal (genType const &v0, genType const &v1, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | areOrthonormal (genType const &v0, genType const &v1, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | areSimilar (genType const &v0, genType const &v1, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | isNormalized (genType const &v, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
template<typename genType >
bool | isNull (genType const &v, typename genType::value_type const &epsilon=std::numeric_limits< typename genType::value_type >::epsilon())

## Detailed Description

Query informations of vector types.

<glm/gtx/vector_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::gtx::vector_query::areCollinear | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if two vectors are collinears.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOpposite | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if two vectors are opposites.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOrthogonal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if two vectors are orthogonals.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOrthonormal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if two vectors are orthonormal.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areSimilar | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if two vectors are similar.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::isNormalized | ( | genType const & | v,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if a vector is normalized.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::isNull | ( | genType const & | v,
|  | typename genType::value_type const & | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Check if a vector is null.

From GLM_GTX_vector_query extensions.